pmAbst2HTML {annotate} | R Documentation

## HTML Generation for PubMed Abstracts

### Description

This function will take a `pubMedAbst` object, or a list of these objects and generate a web page that will list the titles of the abstracts and link to their full page on PubMed

### Usage

    pmAbst2HTML(absts, filename, title, frames = FALSE, table.center = TRUE)

### Arguments

`absts` | A list of `pubMedAbst` (or a single object)
`filename` | The output filename. If `frames` is `FALSE`, this is the name of the single output file and defaults to `absts.html`. Otherwise, this is taken to be the base of a set of filenames, and the default base is the empty string. See `value` for more information on output files.
`title` | Extra title information for your listing
`frames` | If `frames` is `TRUE`, the resulting page will use HTML frames, resulting in a more complex set of output pages.
`table.center` | If TRUE, will center the listing of abstracts

### Details

This function uses the `Entrez` functionality provided by NCBI to retrieve the abstract URL at the PubMed site. It will then create a tabular webpage which will list the titles of the abstracts provided and have them link to the appropriate PubMed page. If `frames` is `TRUE`, the table of links will be on the left hand side of the page and the right hand will link directly to the appropriate PubMed page.

### Value

If `frames` is `FALSE`, a simple HTML file is created with the name specified by `filename`.
If `frames` is `TRUE`, then there are four HTML files created, of the form `XXXtop.html`, `XXXside.html`, `XXXmain.html` and `XXXindex.html`, where `XXX` is the string provided by `filename`.

### Note

This function is part of the Bioconductor project at the Dana-Farber Cancer Institute to provide Bioinformatics functionalities through R

### Author(s)

Jeff Gentry

### See Also

`pubMedAbst`

### Examples

            x <- pubmed("9695952","8325638","8422497")
            a <- xmlRoot(x)
            numAbst <- length(xmlChildren(a))
            absts <- list()
            for (i in 1:numAbst) {
               absts[[i]] <- buildPubMedAbst(a[[i]])
            }
            ## First try it w/o frames - using a temporary
            ## file for the output
            fname <- tempfile()
            pmAbst2HTML(absts,filename=fname)

            if (interactive())
              browseURL(paste("file://",fname,sep=""))

            ## Now try it w/ frames, using temporary files again.
            fnameBase <- tempfile()
            pmAbst2HTML(absts,filename=fnameBase, frames=TRUE)

            if (interactive())
              browseURL(paste("file://",fnameBase,"index.html",sep=""))

[Package Contents]